diff --git a/libavformat/mov.c b/libavformat/mov.c
index d19b213ffa..e006e77338 100644
--- a/libavformat/mov.c
+++ b/libavformat/mov.c
@@ -6591,15 +6626,15 @@ static int mov_read_clli(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     if (!sc->coll)
         return AVERROR(ENOMEM);
 
-    sc->coll->MaxCLL  = avio_rb16(pb);
+    sc->coll->MaxCLL = avio_rb16(pb);
     sc->coll->MaxFALL = avio_rb16(pb);
 
     return 0;
 }
 
-static int mov_read_amve(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_amve(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    MOVStreamContext *sc;
+    MOVStreamContext* sc;
     const int illuminance_den = 10000;
     const int ambient_den = 50000;
     if (c->fc->nb_streams < 1)
@@ -6609,23 +6644,23 @@ static int mov_read_amve(MOVContext *c, AVIOContext *pb, MOVAtom atom)
         av_log(c->fc, AV_LOG_ERROR, "Empty Ambient Viewing Environment Info box\n");
         return AVERROR_INVALIDDATA;
     }
-    if (sc->ambient){
+    if (sc->ambient) {
         av_log(c->fc, AV_LOG_WARNING, "Ignoring duplicate AMVE\n");
         return 0;
     }
     sc->ambient = av_ambient_viewing_environment_alloc(&sc->ambient_size);
     if (!sc->ambient)
         return AVERROR(ENOMEM);
-    sc->ambient->ambient_illuminance  = av_make_q(avio_rb32(pb), illuminance_den);
+    sc->ambient->ambient_illuminance = av_make_q(avio_rb32(pb), illuminance_den);
     sc->ambient->ambient_light_x = av_make_q(avio_rb16(pb), ambient_den);
     sc->ambient->ambient_light_y = av_make_q(avio_rb16(pb), ambient_den);
     return 0;
 }
 
-static int mov_read_st3d(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_st3d(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    AVStream *st;
-    MOVStreamContext *sc;
+    AVStream* st;
+    MOVStreamContext* sc;
     enum AVStereo3DType type;
     int mode;
 
@@ -6669,10 +6704,10 @@ static int mov_read_st3d(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return 0;
 }
 
-static int mov_read_pack(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_pack(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    AVStream *st;
-    MOVStreamContext *sc;
+    AVStream* st;
+    MOVStreamContext* sc;
     int size = 0;
     int64_t remaining;
     uint32_t tag = 0;
@@ -6687,14 +6722,14 @@ static int mov_read_pack(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     remaining = atom.size;
     while (remaining > 0) {
         size = avio_rb32(pb);
-        if (size < 8 || size > remaining ) {
+        if (size < 8 || size > remaining) {
             av_log(c->fc, AV_LOG_ERROR, "Invalid child size in pack box\n");
             return AVERROR_INVALIDDATA;
         }
 
         tag = avio_rl32(pb);
         switch (tag) {
-        case MKTAG('p','k','i','n'): {
+        case MKTAG('p', 'k', 'i', 'n'): {
             if (size != 16) {
                 av_log(c->fc, AV_LOG_ERROR, "Invalid size of pkin box: %d\n", size);
                 return AVERROR_INVALIDDATA;
@@ -6704,18 +6739,17 @@ static int mov_read_pack(MOVContext *c, AVIOContext *pb, MOVAtom atom)
 
             tag = avio_rl32(pb);
             switch (tag) {
-            case MKTAG('s','i','d','e'):
+            case MKTAG('s', 'i', 'd', 'e'):
                 type = AV_STEREO3D_SIDEBYSIDE;
                 break;
-            case MKTAG('o','v','e','r'):
+            case MKTAG('o', 'v', 'e', 'r'):
                 type = AV_STEREO3D_TOPBOTTOM;
                 break;
             case 0:
                 // This means value will be set in another layer
                 break;
             default:
-                av_log(c->fc, AV_LOG_WARNING, "Unknown tag in pkin: %s\n",
-                       av_fourcc2str(tag));
+                av_log(c->fc, AV_LOG_WARNING, "Unknown tag in pkin: 0x%08X\n", tag);
                 avio_skip(pb, size - 8);
                 break;
             }
@@ -6723,8 +6757,7 @@ static int mov_read_pack(MOVContext *c, AVIOContext *pb, MOVAtom atom)
             break;
         }
         default:
-            av_log(c->fc, AV_LOG_WARNING, "Unknown tag in pack: %s\n",
-                   av_fourcc2str(tag));
+            av_log(c->fc, AV_LOG_WARNING, "Unknown tag in pack: 0x%08X\n", tag);
             avio_skip(pb, size - 8);
             break;
         }
@@ -6750,10 +6783,10 @@ static int mov_read_pack(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return 0;
 }
 
-static int mov_read_sv3d(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_sv3d(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    AVStream *st;
-    MOVStreamContext *sc;
+    AVStream* st;
+    MOVStreamContext* sc;
     int size, version, layout;
     int32_t yaw, pitch, roll;
     uint32_t l = 0, t = 0, r = 0, b = 0;
@@ -6776,14 +6809,14 @@ static int mov_read_sv3d(MOVContext *c, AVIOContext *pb, MOVAtom atom)
         return AVERROR_INVALIDDATA;
 
     tag = avio_rl32(pb);
-    if (tag != MKTAG('s','v','h','d')) {
+    if (tag != MKTAG('s', 'v', 'h', 'd')) {
         av_log(c->fc, AV_LOG_ERROR, "Missing spherical video header\n");
         return 0;
     }
     version = avio_r8(pb);
     if (version != 0) {
         av_log(c->fc, AV_LOG_WARNING, "Unknown spherical version %d\n",
-               version);
+            version);
         return 0;
     }
     avio_skip(pb, 3); /* flags */
@@ -6794,7 +6827,7 @@ static int mov_read_sv3d(MOVContext *c, AVIOContext *pb, MOVAtom atom)
         return AVERROR_INVALIDDATA;
 
     tag = avio_rl32(pb);
-    if (tag != MKTAG('p','r','o','j')) {
+    if (tag != MKTAG('p', 'r', 'o', 'j')) {
         av_log(c->fc, AV_LOG_ERROR, "Missing projection box\n");
         return 0;
     }
@@ -6804,22 +6837,22 @@ static int mov_read_sv3d(MOVContext *c, AVIOContext *pb, MOVAtom atom)
         return AVERROR_INVALIDDATA;
 
     tag = avio_rl32(pb);
-    if (tag != MKTAG('p','r','h','d')) {
+    if (tag != MKTAG('p', 'r', 'h', 'd')) {
         av_log(c->fc, AV_LOG_ERROR, "Missing projection header box\n");
         return 0;
     }
     version = avio_r8(pb);
     if (version != 0) {
         av_log(c->fc, AV_LOG_WARNING, "Unknown spherical version %d\n",
-               version);
+            version);
         return 0;
     }
     avio_skip(pb, 3); /* flags */
 
     /* 16.16 fixed point */
-    yaw   = avio_rb32(pb);
+    yaw = avio_rb32(pb);
     pitch = avio_rb32(pb);
-    roll  = avio_rb32(pb);
+    roll = avio_rb32(pb);
 
     size = avio_rb32(pb);
     if (size > atom.size)
@@ -6829,22 +6862,22 @@ static int mov_read_sv3d(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     version = avio_r8(pb);
     if (version != 0) {
         av_log(c->fc, AV_LOG_WARNING, "Unknown spherical version %d\n",
-               version);
+            version);
         return 0;
     }
     avio_skip(pb, 3); /* flags */
     switch (tag) {
-    case MKTAG('c','b','m','p'):
+    case MKTAG('c', 'b', 'm', 'p'):
         layout = avio_rb32(pb);
         if (layout) {
             av_log(c->fc, AV_LOG_WARNING,
-                   "Unsupported cubemap layout %d\n", layout);
+                "Unsupported cubemap layout %d\n", layout);
             return 0;
         }
         projection = AV_SPHERICAL_CUBEMAP;
         padding = avio_rb32(pb);
         break;
-    case MKTAG('e','q','u','i'):
+    case MKTAG('e', 'q', 'u', 'i'):
         t = avio_rb32(pb);
         b = avio_rb32(pb);
         l = avio_rb32(pb);
@@ -6852,8 +6885,8 @@ static int mov_read_sv3d(MOVContext *c, AVIOContext *pb, MOVAtom atom)
 
         if (b >= UINT_MAX - t || r >= UINT_MAX - l) {
             av_log(c->fc, AV_LOG_ERROR,
-                   "Invalid bounding rectangle coordinates "
-                   "%"PRIu32",%"PRIu32",%"PRIu32",%"PRIu32"\n", l, t, r, b);
+                "Invalid bounding rectangle coordinates "
+                "%"PRIu32",%"PRIu32",%"PRIu32",%"PRIu32"\n", l, t, r, b);
             return AVERROR_INVALIDDATA;
         }
 
@@ -6873,24 +6906,24 @@ static int mov_read_sv3d(MOVContext *c, AVIOContext *pb, MOVAtom atom)
 
     sc->spherical->projection = projection;
 
-    sc->spherical->yaw   = yaw;
+    sc->spherical->yaw = yaw;
     sc->spherical->pitch = pitch;
-    sc->spherical->roll  = roll;
+    sc->spherical->roll = roll;
 
     sc->spherical->padding = padding;
 
-    sc->spherical->bound_left   = l;
-    sc->spherical->bound_top    = t;
-    sc->spherical->bound_right  = r;
+    sc->spherical->bound_left = l;
+    sc->spherical->bound_top = t;
+    sc->spherical->bound_right = r;
     sc->spherical->bound_bottom = b;
 
     return 0;
 }
 
-static int mov_read_vexu_proj(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_vexu_proj(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    AVStream *st;
-    MOVStreamContext *sc;
+    AVStream* st;
+    MOVStreamContext* sc;
     int size;
     uint32_t tag;
     enum AVSphericalProjection projection;
@@ -6901,53 +6934,45 @@ static int mov_read_vexu_proj(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     st = c->fc->streams[c->fc->nb_streams - 1];
     sc = st->priv_data;
 
-    if (atom.size < 16) {
+    if (atom.size != 16) {
         av_log(c->fc, AV_LOG_ERROR, "Invalid size for proj box: %"PRIu64"\n", atom.size);
         return AVERROR_INVALIDDATA;
     }
 
     size = avio_rb32(pb);
-    if (size < 16) {
+    if (size != 16) {
         av_log(c->fc, AV_LOG_ERROR, "Invalid size for prji box: %d\n", size);
         return AVERROR_INVALIDDATA;
-    } else if (size > 16) {
-        av_log(c->fc, AV_LOG_WARNING, "Box has more bytes (%d) than prji box required (16) \n", size);
     }
 
     tag = avio_rl32(pb);
-    if (tag != MKTAG('p','r','j','i')) {
-        av_log(c->fc, AV_LOG_ERROR, "Invalid child box of proj box: %s\n",
-               av_fourcc2str(tag));
+    if (tag != MKTAG('p', 'r', 'j', 'i')) {
+        av_log(c->fc, AV_LOG_ERROR, "Invalid child box of proj box: 0x%08X\n", tag);
         return AVERROR_INVALIDDATA;
     }
 
-     // version and flags, only support (0, 0)
-    unsigned n = avio_rl32(pb);
-    if (n != 0) {
-        av_log(c->fc, AV_LOG_ERROR, "prji version %u, flag %u are not supported\n",
-               n & 0xFF, n >> 8);
-        return AVERROR_PATCHWELCOME;
-    }
+    avio_skip(pb, 1); // version
+    avio_skip(pb, 3); // flags
 
     tag = avio_rl32(pb);
     switch (tag) {
-    case MKTAG('r','e','c','t'):
+    case MKTAG('r', 'e', 'c', 't'):
         projection = AV_SPHERICAL_RECTILINEAR;
         break;
-    case MKTAG('e','q','u','i'):
+    case MKTAG('e', 'q', 'u', 'i'):
         projection = AV_SPHERICAL_EQUIRECTANGULAR;
         break;
-    case MKTAG('h','e','q','u'):
+    case MKTAG('h', 'e', 'q', 'u'):
         projection = AV_SPHERICAL_HALF_EQUIRECTANGULAR;
         break;
-    case MKTAG('f','i','s','h'):
+    case MKTAG('f', 'i', 's', 'h'):
         projection = AV_SPHERICAL_FISHEYE;
         break;
-    case MKTAG('p','r','i','m'):
+    case MKTAG('p', 'r', 'i', 'm'):
         projection = AV_SPHERICAL_PARAMETRIC_IMMERSIVE;
         break;
     default:
-        av_log(c->fc, AV_LOG_ERROR, "Invalid projection type in prji box: %s\n", av_fourcc2str(tag));
+        av_log(c->fc, AV_LOG_ERROR, "Invalid projection type in prji box: 0x%08X\n", tag);
         return AVERROR_INVALIDDATA;
     }
 
@@ -6960,10 +6985,10 @@ static int mov_read_vexu_proj(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return 0;
 }
 
-static int mov_read_eyes(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_eyes(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    AVStream *st;
-    MOVStreamContext *sc;
+    AVStream* st;
+    MOVStreamContext* sc;
     int size, flags = 0;
     int64_t remaining;
     uint32_t tag, baseline = 0;
@@ -6981,14 +7006,14 @@ static int mov_read_eyes(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     remaining = atom.size;
     while (remaining > 0) {
         size = avio_rb32(pb);
-        if (size < 8 || size > remaining ) {
+        if (size < 8 || size > remaining) {
             av_log(c->fc, AV_LOG_ERROR, "Invalid child size in eyes box\n");
             return AVERROR_INVALIDDATA;
         }
 
         tag = avio_rl32(pb);
         switch (tag) {
-        case MKTAG('s','t','r','i'): {
+        case MKTAG('s', 't', 'r', 'i'): {
             int has_right, has_left;
             uint8_t tmp;
             if (size != 13) {
@@ -7023,7 +7048,7 @@ static int mov_read_eyes(MOVContext *c, AVIOContext *pb, MOVAtom atom)
 
             break;
         }
-        case MKTAG('h','e','r','o'): {
+        case MKTAG('h', 'e', 'r', 'o'): {
             int tmp;
             if (size != 13) {
                 av_log(c->fc, AV_LOG_ERROR, "Invalid size of hero box: %d\n", size);
@@ -7044,7 +7069,7 @@ static int mov_read_eyes(MOVContext *c, AVIOContext *pb, MOVAtom atom)
 
             break;
         }
-        case MKTAG('c','a','m','s'): {
+        case MKTAG('c', 'a', 'm', 's'): {
             uint32_t subtag;
             int subsize;
             if (size != 24) {
@@ -7059,9 +7084,8 @@ static int mov_read_eyes(MOVContext *c, AVIOContext *pb, MOVAtom atom)
             }
 
             subtag = avio_rl32(pb);
-            if (subtag != MKTAG('b','l','i','n')) {
-                av_log(c->fc, AV_LOG_ERROR, "Expected blin box, got %s\n",
-                       av_fourcc2str(subtag));
+            if (subtag != MKTAG('b', 'l', 'i', 'n')) {
+                av_log(c->fc, AV_LOG_ERROR, "Expected blin box, got 0x%08X\n", subtag);
                 return AVERROR_INVALIDDATA;
             }
 
@@ -7072,7 +7096,7 @@ static int mov_read_eyes(MOVContext *c, AVIOContext *pb, MOVAtom atom)
 
             break;
         }
-        case MKTAG('c','m','f','y'): {
+        case MKTAG('c', 'm', 'f', 'y'): {
             uint32_t subtag;
             int subsize;
             int32_t adjustment;
@@ -7088,25 +7112,23 @@ static int mov_read_eyes(MOVContext *c, AVIOContext *pb, MOVAtom atom)
             }
 
             subtag = avio_rl32(pb);
-            if (subtag != MKTAG('d','a','d','j')) {
-                av_log(c->fc, AV_LOG_ERROR, "Expected dadj box, got %s\n",
-                       av_fourcc2str(subtag));
+            if (subtag != MKTAG('d', 'a', 'd', 'j')) {
+                av_log(c->fc, AV_LOG_ERROR, "Expected dadj box, got 0x%08X\n", subtag);
                 return AVERROR_INVALIDDATA;
             }
 
             avio_skip(pb, 1); // version
             avio_skip(pb, 3); // flags
 
-            adjustment = (int32_t) avio_rb32(pb);
+            adjustment = (int32_t)avio_rb32(pb);
 
-            horizontal_disparity_adjustment.num = (int) adjustment;
+            horizontal_disparity_adjustment.num = (int)adjustment;
             horizontal_disparity_adjustment.den = 10000;
 
             break;
         }
         default:
-            av_log(c->fc, AV_LOG_WARNING, "Unknown tag in eyes: %s\n",
-                   av_fourcc2str(tag));
+            av_log(c->fc, AV_LOG_WARNING, "Unknown tag in eyes: 0x%08X\n", tag);
             avio_skip(pb, size - 8);
             break;
         }
@@ -7127,17 +7149,17 @@ static int mov_read_eyes(MOVContext *c, AVIOContext *pb, MOVAtom atom)
             return AVERROR(ENOMEM);
     }
 
-    sc->stereo3d->flags                           = flags;
-    sc->stereo3d->type                            = type;
-    sc->stereo3d->view                            = view;
-    sc->stereo3d->primary_eye                     = primary_eye;
-    sc->stereo3d->baseline                        = baseline;
+    sc->stereo3d->flags = flags;
+    sc->stereo3d->type = type;
+    sc->stereo3d->view = view;
+    sc->stereo3d->primary_eye = primary_eye;
+    sc->stereo3d->baseline = baseline;
     sc->stereo3d->horizontal_disparity_adjustment = horizontal_disparity_adjustment;
 
     return 0;
 }
 
-static int mov_read_vexu(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_vexu(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
     int size;
     int64_t remaining;
@@ -7154,28 +7176,28 @@ static int mov_read_vexu(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     remaining = atom.size;
     while (remaining > 0) {
         size = avio_rb32(pb);
-        if (size < 8 || size > remaining ) {
+        if (size < 8 || size > remaining) {
             av_log(c->fc, AV_LOG_ERROR, "Invalid child size in vexu box\n");
             return AVERROR_INVALIDDATA;
         }
 
         tag = avio_rl32(pb);
         switch (tag) {
-        case MKTAG('p','r','o','j'): {
+        case MKTAG('p', 'r', 'o', 'j'): {
             MOVAtom proj = { tag, size - 8 };
             int ret = mov_read_vexu_proj(c, pb, proj);
             if (ret < 0)
                 return ret;
             break;
         }
-        case MKTAG('e','y','e','s'): {
+        case MKTAG('e', 'y', 'e', 's'): {
             MOVAtom eyes = { tag, size - 8 };
             int ret = mov_read_eyes(c, pb, eyes);
             if (ret < 0)
                 return ret;
             break;
         }
-        case MKTAG('p','a','c','k'): {
+        case MKTAG('p', 'a', 'c', 'k'): {
             MOVAtom pack = { tag, size - 8 };
             int ret = mov_read_pack(c, pb, pack);
             if (ret < 0)
@@ -7183,8 +7205,7 @@ static int mov_read_vexu(MOVContext *c, AVIOContext *pb, MOVAtom atom)
             break;
         }
         default:
-            av_log(c->fc, AV_LOG_WARNING, "Unknown tag in vexu: %s\n",
-                   av_fourcc2str(tag));
+            av_log(c->fc, AV_LOG_WARNING, "Unknown tag in vexu: 0x%08X\n", tag);
             avio_skip(pb, size - 8);
             break;
         }
@@ -7199,10 +7220,10 @@ static int mov_read_vexu(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return 0;
 }
 
-static int mov_read_hfov(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_hfov(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    AVStream *st;
-    MOVStreamContext *sc;
+    AVStream* st;
+    MOVStreamContext* sc;
 
     if (c->fc->nb_streams < 1)
         return 0;
@@ -7211,8 +7232,8 @@ static int mov_read_hfov(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     sc = st->priv_data;
 
     if (atom.size != 4) {
-         av_log(c->fc, AV_LOG_ERROR, "Invalid size of hfov box: %"PRIu64"\n", atom.size);
-         return AVERROR_INVALIDDATA;
+        av_log(c->fc, AV_LOG_ERROR, "Invalid size of hfov box: %"PRIu64"\n", atom.size);
+        return AVERROR_INVALIDDATA;
     }
 
 
@@ -7228,11 +7249,11 @@ static int mov_read_hfov(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return 0;
 }
 
-static int mov_parse_uuid_spherical(MOVStreamContext *sc, AVIOContext *pb, size_t len)
+static int mov_parse_uuid_spherical(MOVStreamContext* sc, AVIOContext* pb, size_t len)
 {
     int ret = 0;
-    uint8_t *buffer = av_malloc(len + 1);
-    const char *val;
+    uint8_t* buffer = av_malloc(len + 1);
+    const char* val;
 
     if (!buffer)
         return AVERROR(ENOMEM);
@@ -7291,10 +7312,10 @@ out:
     return ret;
 }
 
-static int mov_read_uuid(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_uuid(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    AVStream *st;
-    MOVStreamContext *sc;
+    AVStream* st;
+    MOVStreamContext* sc;
     int64_t ret;
     AVUUID uuid;
     static const AVUUID uuid_isml_manifest = {
@@ -7322,8 +7343,8 @@ static int mov_read_uuid(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     if (ret < 0)
         return ret;
     if (av_uuid_equal(uuid, uuid_isml_manifest)) {
-        uint8_t *buffer, *ptr;
-        char *endptr;
+        uint8_t* buffer, * ptr;
+        char* endptr;
         size_t len = atom.size - AV_UUID_LEN;
 
         if (len < 4) {
@@ -7356,14 +7377,16 @@ static int mov_read_uuid(MOVContext *c, AVIOContext *pb, MOVAtom atom)
             ret = strtol(ptr, &endptr, 10);
             if (ret < 0 || errno || *endptr != '"') {
                 c->bitrates[c->bitrates_count - 1] = 0;
-            } else {
+            }
+            else {
                 c->bitrates[c->bitrates_count - 1] = ret;
             }
         }
 
         av_free(buffer);
-    } else if (av_uuid_equal(uuid, uuid_xmp)) {
-        uint8_t *buffer;
+    }
+    else if (av_uuid_equal(uuid, uuid_xmp)) {
+        uint8_t* buffer;
         size_t len = atom.size - AV_UUID_LEN;
         if (c->export_xmp) {
             buffer = av_mallocz(len + 1);
@@ -7377,14 +7400,16 @@ static int mov_read_uuid(MOVContext *c, AVIOContext *pb, MOVAtom atom)
             }
             buffer[len] = '\0';
             av_dict_set(&c->fc->metadata, "xmp",
-                        buffer, AV_DICT_DONT_STRDUP_VAL);
-        } else {
+                buffer, AV_DICT_DONT_STRDUP_VAL);
+        }
+        else {
             // skip all uuid atom, which makes it fast for long uuid-xmp file
             ret = avio_skip(pb, len);
             if (ret < 0)
                 return ret;
         }
-    } else if (av_uuid_equal(uuid, uuid_spherical)) {
+    }
+    else if (av_uuid_equal(uuid, uuid_spherical)) {
         size_t len = atom.size - AV_UUID_LEN;
         ret = mov_parse_uuid_spherical(sc, pb, len);
         if (ret < 0)
@@ -7396,7 +7421,7 @@ static int mov_read_uuid(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return 0;
 }
 
-static int mov_read_free(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_free(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
     int ret;
     uint8_t content[16];
@@ -7408,7 +7433,7 @@ static int mov_read_free(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     if (ret < 0)
         return ret;
 
-    if (   !c->found_moov
+    if (!c->found_moov
         && !c->found_mdat
         && !memcmp(content, "Anevia\x1A\x1A", 8)
         && c->use_mfra_for == FF_MOV_FLAG_MFRA_AUTO) {
@@ -7418,12 +7443,12 @@ static int mov_read_free(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return 0;
 }
 
-static int mov_read_frma(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_frma(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
     uint32_t format = avio_rl32(pb);
-    MOVStreamContext *sc;
+    MOVStreamContext* sc;
     enum AVCodecID id;
-    AVStream *st;
+    AVStream* st;
 
     if (c->fc->nb_streams < 1)
         return 0;
@@ -7432,14 +7457,14 @@ static int mov_read_frma(MOVContext *c, AVIOContext *pb, MOVAtom atom)
 
     switch (sc->format)
     {
-    case MKTAG('e','n','c','v'):        // encrypted video
-    case MKTAG('e','n','c','a'):        // encrypted audio
+    case MKTAG('e', 'n', 'c', 'v'):        // encrypted video
+    case MKTAG('e', 'n', 'c', 'a'):        // encrypted audio
         id = mov_codec_id(st, format);
         if (st->codecpar->codec_id != AV_CODEC_ID_NONE &&
             st->codecpar->codec_id != id) {
             av_log(c->fc, AV_LOG_WARNING,
-                   "ignoring 'frma' atom of '%.4s', stream has codec id %d\n",
-                   (char*)&format, st->codecpar->codec_id);
+                "ignoring 'frma' atom of '%.4s', stream has codec id %d\n",
+                (char*)&format, st->codecpar->codec_id);
             break;
         }
 
@@ -7450,8 +7475,8 @@ static int mov_read_frma(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     default:
         if (format != sc->format) {
             av_log(c->fc, AV_LOG_WARNING,
-                   "ignoring 'frma' atom of '%.4s', stream format is '%.4s'\n",
-                   (char*)&format, (char*)&sc->format);
+                "ignoring 'frma' atom of '%.4s', stream format is '%.4s'\n",
+                (char*)&format, (char*)&sc->format);
         }
         break;
     }
@@ -7465,10 +7490,10 @@ static int mov_read_frma(MOVContext *c, AVIOContext *pb, MOVAtom atom)
  * info for this fragment; otherwise this will return the global encryption
  * info for the current stream.
  */
-static int get_current_encryption_info(MOVContext *c, MOVEncryptionIndex **encryption_index, MOVStreamContext **sc)
+static int get_current_encryption_info(MOVContext* c, MOVEncryptionIndex** encryption_index, MOVStreamContext** sc)
 {
-    MOVFragmentStreamInfo *frag_stream_info;
-    AVStream *st;
+    MOVFragmentStreamInfo* frag_stream_info;
+    AVStream* st;
     int i;
 
     frag_stream_info = get_current_frag_stream_info(&c->frag_index);
@@ -7476,8 +7501,8 @@ static int get_current_encryption_info(MOVContext *c, MOVEncryptionIndex **encry
         for (i = 0; i < c->fc->nb_streams; i++) {
             *sc = c->fc->streams[i]->priv_data;
             if ((*sc)->id == frag_stream_info->id) {
-              st = c->fc->streams[i];
-              break;
+                st = c->fc->streams[i];
+                break;
             }
         }
         if (i == c->fc->nb_streams)
@@ -7494,7 +7519,8 @@ static int get_current_encryption_info(MOVContext *c, MOVEncryptionIndex **encry
         }
         *encryption_index = frag_stream_info->encryption_index;
         return 1;
-    } else {
+    }
+    else {
         // No current track fragment, using stream level encryption info.
 
         if (c->fc->nb_streams < 1)
@@ -7516,11 +7542,11 @@ static int get_current_encryption_info(MOVContext *c, MOVEncryptionIndex **encry
     }
 }
 
-static int mov_read_sample_encryption_info(MOVContext *c, AVIOContext *pb, MOVStreamContext *sc, AVEncryptionInfo **sample, int use_subsamples)
+static int mov_read_sample_encryption_info(MOVContext* c, AVIOContext* pb, MOVStreamContext* sc, AVEncryptionInfo** sample, int use_subsamples)
 {
     int i, ret;
     unsigned int subsample_count;
-    AVSubsampleEncryptionInfo *subsamples;
+    AVSubsampleEncryptionInfo* subsamples;
 
     if (!sc->cenc.default_encrypted_sample) {
         av_log(c->fc, AV_LOG_ERROR, "Missing schm or tenc\n");
@@ -7531,7 +7557,8 @@ static int mov_read_sample_encryption_info(MOVContext *c, AVIOContext *pb, MOVSt
         *sample = av_encryption_info_clone(sc->cenc.default_encrypted_sample);
         if (!*sample)
             return AVERROR(ENOMEM);
-    } else
+    }
+    else
         *sample = NULL;
 
     if (sc->cenc.per_sample_iv_size != 0) {
@@ -7570,11 +7597,11 @@ static int mov_read_sample_encryption_info(MOVContext *c, AVIOContext *pb, MOVSt
     return 0;
 }
 
-static int mov_read_senc(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_senc(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    AVEncryptionInfo **encrypted_samples;
-    MOVEncryptionIndex *encryption_index;
-    MOVStreamContext *sc;
+    AVEncryptionInfo** encrypted_samples;
+    MOVEncryptionIndex* encryption_index;
+    MOVStreamContext* sc;
     int use_subsamples, ret;
     unsigned int sample_count, i, alloc_size = 0;
 
@@ -7598,13 +7625,14 @@ static int mov_read_senc(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     for (i = 0; i < sample_count; i++) {
         unsigned int min_samples = FFMIN(FFMAX(i + 1, 1024 * 1024), sample_count);
         encrypted_samples = av_fast_realloc(encryption_index->encrypted_samples, &alloc_size,
-                                            min_samples * sizeof(*encrypted_samples));
+            min_samples * sizeof(*encrypted_samples));
         if (encrypted_samples) {
             encryption_index->encrypted_samples = encrypted_samples;
 
             ret = mov_read_sample_encryption_info(
                 c, pb, sc, &encryption_index->encrypted_samples[i], use_subsamples);
-        } else {
+        }
+        else {
             ret = AVERROR(ENOMEM);
         }
         if (pb->eof_reached) {
@@ -7626,9 +7654,9 @@ static int mov_read_senc(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return 0;
 }
 
-static int mov_parse_auxiliary_info(MOVContext *c, MOVStreamContext *sc, AVIOContext *pb, MOVEncryptionIndex *encryption_index)
+static int mov_parse_auxiliary_info(MOVContext* c, MOVStreamContext* sc, AVIOContext* pb, MOVEncryptionIndex* encryption_index)
 {
-    AVEncryptionInfo **sample, **encrypted_samples;
+    AVEncryptionInfo** sample, ** encrypted_samples;
     int64_t prev_pos;
     size_t sample_count, sample_info_size, i;
     int ret = 0;
@@ -7654,7 +7682,7 @@ static int mov_parse_auxiliary_info(MOVContext *c, MOVStreamContext *sc, AVIOCon
     for (i = 0; i < sample_count && !pb->eof_reached; i++) {
         unsigned int min_samples = FFMIN(FFMAX(i + 1, 1024 * 1024), sample_count);
         encrypted_samples = av_fast_realloc(encryption_index->encrypted_samples, &alloc_size,
-                                            min_samples * sizeof(*encrypted_samples));
+            min_samples * sizeof(*encrypted_samples));
         if (!encrypted_samples) {
             ret = AVERROR(ENOMEM);
             goto finish;
@@ -7663,8 +7691,8 @@ static int mov_parse_auxiliary_info(MOVContext *c, MOVStreamContext *sc, AVIOCon
 
         sample = &encryption_index->encrypted_samples[i];
         sample_info_size = encryption_index->auxiliary_info_default_size
-                               ? encryption_index->auxiliary_info_default_size
-                               : encryption_index->auxiliary_info_sizes[i];
+            ? encryption_index->auxiliary_info_default_size
+            : encryption_index->auxiliary_info_sizes[i];
 
         ret = mov_read_sample_encryption_info(c, pb, sc, sample, sample_info_size > sc->cenc.per_sample_iv_size);
         if (ret < 0)
@@ -7673,7 +7701,8 @@ static int mov_parse_auxiliary_info(MOVContext *c, MOVStreamContext *sc, AVIOCon
     if (pb->eof_reached) {
         av_log(c->fc, AV_LOG_ERROR, "Hit EOF while reading auxiliary info\n");
         ret = AVERROR_INVALIDDATA;
-    } else {
+    }
+    else {
         encryption_index->nb_encrypted_samples = sample_count;
     }
 
@@ -7688,10 +7717,10 @@ finish:
     return ret;
 }
 
-static int mov_read_saiz(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_saiz(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    MOVEncryptionIndex *encryption_index;
-    MOVStreamContext *sc;
+    MOVEncryptionIndex* encryption_index;
+    MOVStreamContext* sc;
     int ret;
     unsigned int sample_count, aux_info_type, aux_info_param;
 
@@ -7723,20 +7752,23 @@ static int mov_read_saiz(MOVContext *c, AVIOContext *pb, MOVAtom atom)
                 av_log(c->fc, AV_LOG_DEBUG, "Ignoring saiz box with non-zero aux_info_type_parameter\n");
                 return 0;
             }
-        } else {
+        }
+        else {
             // Didn't see 'schm' or 'tenc', so this isn't encrypted.
-            if ((aux_info_type == MKBETAG('c','e','n','c') ||
-                 aux_info_type == MKBETAG('c','e','n','s') ||
-                 aux_info_type == MKBETAG('c','b','c','1') ||
-                 aux_info_type == MKBETAG('c','b','c','s')) &&
+            if ((aux_info_type == MKBETAG('c', 'e', 'n', 'c') ||
+                aux_info_type == MKBETAG('c', 'e', 'n', 's') ||
+                aux_info_type == MKBETAG('c', 'b', 'c', '1') ||
+                aux_info_type == MKBETAG('c', 'b', 'c', 's')) &&
                 aux_info_param == 0) {
                 av_log(c->fc, AV_LOG_ERROR, "Saw encrypted saiz without schm/tenc\n");
                 return AVERROR_INVALIDDATA;
-            } else {
+            }
+            else {
                 return 0;
             }
         }
-    } else if (!sc->cenc.default_encrypted_sample) {
+    }
+    else if (!sc->cenc.default_encrypted_sample) {
         // Didn't see 'schm' or 'tenc', so this isn't encrypted.
         return 0;
     }
@@ -7759,7 +7791,7 @@ static int mov_read_saiz(MOVContext *c, AVIOContext *pb, MOVAtom atom)
             if (ret >= 0)
                 ret = AVERROR_INVALIDDATA;
             av_log(c->fc, AV_LOG_ERROR, "Failed to read the auxiliary info, %s\n",
-                   av_err2str(ret));
+                av_err2str(ret));
             return ret;
         }
     }
